r16930 - gnucash/trunk/packaging/win32 - Win32: Provide make_install.sh with some vars, make it more robust.

Andreas Köhler andi5 at cvs.gnucash.org
Wed Feb 6 18:38:38 EST 2008


Author: andi5
Date: 2008-02-06 18:38:37 -0500 (Wed, 06 Feb 2008)
New Revision: 16930
Trac: http://svn.gnucash.org/trac/changeset/16930

Modified:
   gnucash/trunk/packaging/win32/install.sh
   gnucash/trunk/packaging/win32/make_install.sh
Log:
Win32: Provide make_install.sh with some vars, make it more robust.


Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2008-02-06 22:54:09 UTC (rev 16929)
+++ gnucash/trunk/packaging/win32/install.sh	2008-02-06 23:38:37 UTC (rev 16930)
@@ -1012,7 +1012,7 @@
         # correct the 'dlname' in the libtool archives. We do not use these
         # files to dlopen the modules, so actually this is unneeded.
         # Also, in all installed .la files, remove the dependency_libs line
-        mv bin/*.dll gnucash || true
+        mv bin/*.dll gnucash 2>/dev/null || true
         for A in gnucash/*.la; do
             sed '/dependency_libs/d;s#../bin/##' $A > tmp ; mv tmp $A
         done
@@ -1022,7 +1022,7 @@
 
         # gettext 0.17 installs translations to \share\locale, but not all
         # gnome packages have been recompiled against it
-        cp -a locale ../share && rm -rf locale
+        [ -d locale ] && cp -a locale ../share && rm -rf locale
     qpopd
 
     qpushd $_INSTALL_UDIR/etc/gconf/schemas

Modified: gnucash/trunk/packaging/win32/make_install.sh
===================================================================
--- gnucash/trunk/packaging/win32/make_install.sh	2008-02-06 22:54:09 UTC (rev 16929)
+++ gnucash/trunk/packaging/win32/make_install.sh	2008-02-06 23:38:37 UTC (rev 16930)
@@ -9,10 +9,12 @@
 qpushd "$(dirname $(unix_path "$0"))"
 . functions.sh
 . defaults.sh
-
 reset_steps
 . install.sh
+qpopd
 
 prepare
-qpopd
+_INSTALL_WFSDIR=`win_fs_path $INSTALL_DIR`
+_INSTALL_UDIR=`unix_path $INSTALL_DIR`
+
 make_install



More information about the gnucash-changes mailing list